    Return the data set by identifier.

get_data(id=None)
id - int or str, optional

The object returned by the call can be used to query and change properties of the data set.

>>> d = get_data()
>>> dimg = get_data('img')
>>> load_arrays('tst', [10, 20, 30], [5.4, 2.3, 9.8]) >>> print(get_data('tst')) name = x = Int64[3] y = Float64[3] staterror = None syserror = None

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .

The return value from this function is:

instance -- The data instance.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023